## python-restless 2.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/restless.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/restless.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/restless"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/restless"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-restless (2.0.1-6) unstable; urgency=medium

  * Fix package description of -doc (Closes: #810807, thanks Daniele Forsi)
  * Fix FTBFS with Django 1.10 (Closes: #828676, thanks Chris Lamb)
  * New standards version, no change.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 28 Jun 2016 22:36:04 +0000

python-restless (2.0.1-5) unstable; urgency=medium

  * Fix Python 3 build-depends (Closes: #808531, thanks Chris West)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 21 Dec 2015 21:01:02 +0000

python-restless (2.0.1-4) unstable; urgency=medium

  * Use patch by mission.liao to fix test (Closes: #806335)
    Thanks to mission.liao and to Chris Lamb for reporting

 -- W. Martin Borgert <debacle@debian.org>  Tue, 08 Dec 2015 20:52:49 +0000

python-restless (2.0.1-3) unstable; urgency=low

  * Put -doc package in section doc (Closes: #797757, thanks Ben Finney!)
  * Fix build-depends (Closes: #801938, thanks Raphael Hertzog!)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 16 Oct 2015 23:28:23 +0000

python-restless (2.0.1-2) unstable; urgency=low

  * Upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Sat, 22 Aug 2015 08:15:32 +0000

python-restless (2.0.1-1) experimental; urgency=low

  * First Debian package. Closes: #770074.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 19 Nov 2014 15:00:23 +0000

=== debian/control ===
Source: python-restless
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9),
	dh-python,
	python-all (>= 2.7~),
	python-setuptools,
	python-sphinx,
	python-django,
	python-flask,
	python-pyramid,
	python-tornado,
	python-six,
	python3-all,
	python3-setuptools,
	python3-django,
	python3-flask,
	python3-pyramid,
	python3-tornado,
	python3-six
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-restless.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-restless.git
Homepage: https://pypi.python.org/pypi/restless

Package: python-restless
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-restless-doc, python-django, python-flask, python-pyramid, python-tornado
Description: lightweight REST miniframework for Python
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
 .
 This package provides the Python 2.x module.

Package: python3-restless
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python-restless-doc, python3-django, python3-flask, python3-pyramid, python3-tornado
Description: lightweight REST miniframework for Python
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
  .
 This package provides the Python 3.x module.

Package: python-restless-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: lightweight REST miniframework for Python
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
  .
 This package contains the HTML documentation and example projects.

## python-restless 2.0.3

=== debian/changelog ===
python-restless (2.0.3-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sun, 25 Dec 2016 21:50:21 +0000

=== debian/control ===
--- 
+++ 
@@ -65,6 +65,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: lightweight REST miniframework for Python
  Works great with Django, Flask, Pyramid, Tornado & Itty, but should
  be useful for many other Python web frameworks.  Based on the lessons

## python-restless 2.1.1

=== debian/changelog ===
python-restless (2.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Aug 2019 00:59:55 +0500

python-restless (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * Add patch to set charset (Closes: #880838)
  * Bump standards version and compat level
  * Try R³=no

 -- W. Martin Borgert <debacle@debian.org>  Sun, 12 Nov 2017 10:21:17 +0000

=== debian/control ===
Source: python-restless
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper-compat (= 10),
	dh-python,
	python3-all,
	python3-django,
	python3-flask,
	python3-pyramid,
	python3-setuptools,
	python3-six,
	python3-sphinx,
	python3-tornado
Standards-Version: 4.1.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/python-restless.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-restless
Homepage: https://pypi.python.org/pypi/restless

Package: python3-restless
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python-restless-doc, python3-django, python3-flask, python3-pyramid, python3-tornado
Description: lightweight REST miniframework for Python
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
 .
 This package provides the Python 3.x module.

Package: python-restless-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: lightweight REST miniframework for Python
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
 .
 This package contains the HTML documentation and example projects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=restless

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc,python3

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html

=== debian/watch ===
version=3
https://github.com/toastdriven/restless/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-restless 2.2.0

=== debian/changelog ===
python-restless (2.2.0-3) unstable; urgency=medium

  * QA upload.
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Thu, 26 Dec 2024 00:21:28 +0100

python-restless (2.2.0-2) unstable; urgency=medium

  * QA upload.
  * Add use-path-function-instead-of-url-function.patch Closes: #1013477
  * d/control:
    - Remove 'Built-Using' field for documentation package.
    - Update Standards-Version to 4.6.1
    - Update short description.
  * Drop 0001-fix-test-fail.patch, fixed in version 2.0.2

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 02 Jul 2022 20:55:37 +0200

python-restless (2.2.0-1) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * New upstream release.
  * d/control:
    + Bump Standards-Version to 4.6.0.
    + Set maintainer to Debian QA Group.
    + Use correct Built-Using field.
    + Use github project instead of pypi as homepage.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 May 2022 12:39:39 -0400

=== debian/control ===
Source: python-restless
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-sequence-python3,
	python3-all,
	python3-django,
	python3-flask,
	python3-pyramid,
	python3-setuptools,
	python3-sphinx,
	python3-tornado
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-restless.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-restless
Homepage: https://github.com/toastdriven/restless/

Package: python3-restless
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-restless-doc, python3-django, python3-flask, python3-pyramid, python3-tornado
Description: lightweight REST miniframework for Python (Python 3)
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
 .
 This package provides the Python 3.x module.

Package: python-restless-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: lightweight REST miniframework for Python (documentation)
 Works great with Django, Flask, Pyramid, Tornado & Itty, but should
 be useful for many other Python web frameworks.  Based on the lessons
 learned from Tastypie & other REST libraries.
 .
 Features
  * Small, fast codebase
  * JSON output by default, but overridable
  * RESTful
  * Flexible
 .
 This package contains the HTML documentation and example projects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=restless

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html
